Modify an execution hook
Modifies an execution hook to update its stored resource with new configuration values. Use this to ensure that future actions of applications utilizing the execution hook reflect the updated settings.
HTTP method and endpoint
PUT /accounts/{account_id}/core/v1/executionHooks/{executionHook_id}
Usage notes
Replaces the entire stored resource with the supplied JSON request body while preserving key values that are not user-modifiable.
Side Effects
-
Updating an existing execution hook will impact any future actions of applications that use the updated execution hook.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
ID of the containing account resource
|
executionHook_id |
string |
path |
True |
ID of the executionHook collection to list |
Request Body
Replaces the entire stored resource with the supplied JSON request body while preserving key values that are not user-modifiable.
Side Effects
-
Updating an existing execution hook will impact any future actions of applications that use the updated execution hook.
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource. Defined values are:
|
id |
string |
False |
Globally unique identifier of the resource. Defined values are:
|
name |
string |
False |
JSON string containing a user-specified name for the resource. Defined values are:
|
hookType |
string |
False |
JSON string defining the hook type. Defined values are:
|
matchingCriteria |
array[matchingCriteria] |
False |
JSON array of JSON objects describing the match criteria for the execution hook. When multiple matchingCriteria are specified a logical AND is applied to criteria. Defined values are:
|
action |
string |
False |
JSON string indicating which action the execution hook will run assuming the match criteria are met. Defined values are:
|
stage |
string |
False |
JSON string indicating the stage during the action that the hook will be executed. Defined values are:
|
hookSourceID |
string |
False |
JSON string containing the hook source ID that is run through this execution hook. Defined values are:
|
arguments |
array[string] |
False |
JSON array of JSON strings for the arguments to the source. Defined values are:
|
appID |
string |
False |
JSON string containing the associated ID of the application that this hook is linked to. In essence, other matching criteria, if set. Defined values are:
|
enabled |
string |
False |
JSON string that indicates if the execution hook is enabled. Defined values are:
|
description |
string |
False |
JSON string containing a user-specified description for the hook source. Defined values are:
|
metadata |
False |
Client and service-specified metadata associated with the resource. Defined values are:
|
Example request
{
"type": "application/astra-executionHook",
"version": "1.2",
"arguments": [
"freeze",
"10"
]
}
Response
Status: 204, Indicates if the executionHook resource was updated.
Response
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
Response
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
array[invalidFields] |
False |
List of invalid request body fields |
Example response
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
Response
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/10",
"title": "JSON resource conflict",
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409"
}
Response
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example response
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
title |
string |
True |
|
detail |
string |
True |
|
status |
string |
True |
|
correlationID |
string |
False |
Example error response
{
"type": "https://astra.netapp.io/problems/1",
"title": "Resource not found",
"detail": "The resource specified in the request URI wasn't found.",
"status": "404"
}
Definitions
See Definitions
matchingCriteria
| Name | Type | Required | Description |
|---|---|---|---|
type |
string |
False |
JSON string identifying the match criteria type. |
value |
string |
False |
JSON string containing a regex to match for the given match type. Regex syntax: https://github.com/google/re2/wiki/Syntax |
type_astra_label
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
Client and service-specified metadata associated with the resource. Defined values are:
-
Conforms to the Astra Metadata Schema If not specified on create, a metadata object will be created with no labels. If not specified on update, the metadata object's labels, creationTimestamp and createdBy, will be preserved without modification.
| Name | Type | Required | Description |
|---|---|---|---|
labels |
array[type_astra_label] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
createdBy |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid query parameter |
reason |
string |
True |
Reason why the query parameter is invalid |
invalidFields
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid request body field |
reason |
string |
True |
Reason why the request body field is invalid |